Error while starting rasa x

@abhishikth_raj Abhishikth share some screenshot? and try close the process and try first run rasa shell -debug and check are you able to talk as expected and then close the process and then run rasa x. If rasa shell giving result then rasa x have some issue will see it.

@nik202

The virtual environment is in C:\Users\Abhishikt

and My project is in E:\Rasa Project

@nik202 One moment I will try that

Actually the bot must reply with Great, carry on!

@abhishikth_raj

user: hi
bot: how are you?
user: sad
bot: bot show image

Can you confirm that you able to follow this using rasa shell --debug.

@nik202 yes, I got correctly for sad

@abhishikth_raj then its working and congratulations for rasa x is also installed. So do check the stories.yml file for bot/user conversation.

@nik202 I don’t get the point why am I getting it wrong for mood_happy

@abhishikth_raj share some files or nlu.yml ?

@nik202 nlu.yml (1.4 KB) stories.yml (542 Bytes) domain.yml (840 Bytes)

@abhishikth_raj its working fine. I guess fine is not in training example may be that can be the reason. Try use the same word mention in the nlu for the stories please.

@abhishikth_raj same you can check with rasa x now and confirm that its working now or not?

@nik202 Thanks! I got the point… But I also tried good but it was taking different intent but finally I got the point that it is not part of training data and that is the reason for the wrong reply from bot.

Every time I try to run Rasa X these are the errors showing up… Are these something to worry?

(rasabot) E:\Rasa Project>rasa x Starting Rasa X in local mode… :rocket: 2021-12-27 01:12:32 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-12-27 01:12:34 ERROR concurrent.futures - exception calling callback for <Future at 0x1680f850580 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks
callback(self) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe
self._check_closed() File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-12-27 01:12:34 ERROR concurrent.futures - exception calling callback for <Future at 0x1680f850ac0 state=finished returned list> Traceback (most recent call last): File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks
callback(self) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe
self._check_closed() File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-12-27 01:12:42 ERROR asyncio - Error on reading from the event loop self pipe loop: Traceback (most recent call last): File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\windows_events.py”, line 453, in finish_recv return ov.getresult() OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\proactor_events.py”, line 768, in _loop_self_reading
f.result() # may raise File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\windows_events.py”, line 808, in _poll value = callback(transferred, key, ov) File “C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\windows_events.py”, line 457, in finish_recv raise ConnectionResetError(*exc.args) ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request
2021-12-27 01:12:43 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-8’ coro=<TCPConnector._resolve_host() done, defined at c:\users\abhishikt\rasabot\lib\site-packages\aiohttp\connector.py:806> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x000001680F850A00>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\abhishikt\rasabot\lib\site-packages\aiohttp\connector.py:1002]> [2021-12-27 01:12:44 +0530] [18092] [INFO] Goin’ Fast @ http://0.0.0.0:5002 2021-12-27 01:12:44 INFO sanic.root - Goin’ Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=2bW9NfAS0row

[2021-12-27 01:12:44 +0530] [18092] [INFO] Starting worker [18092] 2021-12-27 01:12:44 INFO sanic.root - Starting worker [18092] 2021-12-27 01:13:39 WARNING rasa.shared.utils.common - The UnexpecTED Intent Policy is currently experimental and might change or be removed in the future :microscope: Please share your feedback on it in the forum (https://forum.rasa.com) to help us make this feature ready for production. 2021-12-27 01:14:02 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-9’ coro=<TCPConnector._resolve_host() running at c:\users\abhishikt\rasabot\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\Users\Abhishikt\AppData\Local\Programs\Python\Python38\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x000001680F850EB0>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\abhishikt\rasabot\lib\site-packages\aiohttp\connector.py:1002]>

@nik202 Also can you share your LinkedIn so that I can connect with you and keep in touch for further help that I require if any

@abhishikth_raj I’m not that much social Raj, but I am here for your, whenever you have any issue :slight_smile:

@abhishikth_raj Till the time bot is working fine and giving you result noting to worry about the error.

Please can I request to close this thread as solution

@nik202 sure thanks!

@abhishikth_raj no worries :slight_smile:

Hello @nik202 , I have just installed rasa on my laptop and it is installed successfully without any errors but I got this when I ran the command rasa init. Can you please help me figure this out?

c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:23: DeprecationWarning: NEAREST is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.NEAREST or Dither.NONE instead.
  'nearest': pil_image.NEAREST,
c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:24: DeprecationWarning: BILINEAR is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.BILINEAR instead.
  'bilinear': pil_image.BILINEAR,
c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:25: DeprecationWarning: BICUBIC is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.BICUBIC instead.
  'bicubic': pil_image.BICUBIC,
c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:28: DeprecationWarning: HAMMING is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.HAMMING instead.
  if hasattr(pil_image, 'HAMMING'):
c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:30: DeprecationWarning: BOX is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.BOX instead.
  if hasattr(pil_image, 'BOX'):
c:\users\abhishikt\rasaproject\lib\site-packages\keras_preprocessing\image\utils.py:33: DeprecationWarning: LANCZOS is deprecated and will be removed in Pillow 10 (2023-07-01). Use Resampling.LANCZOS instead.
  if hasattr(pil_image, 'LANCZOS'):
c:\users\abhishikt\rasaproject\lib\site-packages\flatbuffers\compat.py:19: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
c:\users\abhishikt\rasaproject\lib\site-packages\sklearn\utils\multiclass.py:14: DeprecationWarning: Please use `spmatrix` from 
the `scipy.sparse` namespace, the `scipy.sparse.base` namespace is deprecated.
  from scipy.sparse.base import spmatrix

@abhishikth_raj share error screenshot and rasa version

@nik202

(rasaproject) E:\Rasa_Bot>rasa --version                      
Rasa Version      :         3.1.0
Minimum Compatible Version: 3.0.0
Rasa SDK Version  :         3.1.1
Rasa X Version    :         1.1.0
Python Version    :         3.8.4rc1
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         c:\users\abhishikt\rasaproject\scripts\python.exe

@nik202